Bug 22014 - Add ability to send "00" in SIP CV field on checkin success
Summary: Add ability to send "00" in SIP CV field on checkin success
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 22016
  Show dependency treegraph
 
Reported: 2018-12-17 17:34 UTC by Kyle M Hall
Modified: 2019-03-01 11:28 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22014: Add ability to send "00" in SIP CV field on checkin success (2.25 KB, patch)
2018-12-17 17:37 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22014: Add ability to send "00" in SIP CV field on checkin success (2.28 KB, patch)
2018-12-17 18:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22014: Add ability to send "00" in SIP CV field on checkin success (2.33 KB, patch)
2018-12-18 11:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22014: Add ability to send "00" in SIP CV field on checkin success (2.42 KB, patch)
2019-02-15 08:26 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22014: Unit tests (2.04 KB, patch)
2019-02-19 17:41 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-12-17 17:34:08 UTC
Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a checkin success to return a CV field of the value "00" rather than no CV field at all. Koha should be able to support this behavior.
Comment 1 Kyle M Hall 2018-12-17 17:37:46 UTC
Created attachment 83308 [details] [review]
Bug 22014: Add ability to send "00" in SIP CV field on checkin success

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a checkin success to return a CV field of the value "00" rather than no CV field at all. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option cv_send_00_on_success for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP
5) Note the response contains a CV field with the value '00'

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 2 Kyle M Hall 2018-12-17 18:56:00 UTC
Created attachment 83309 [details] [review]
Bug 22014: Add ability to send "00" in SIP CV field on checkin success

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a checkin success to return a CV field of the value "00" rather than no CV field at all. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option cv_send_00_on_success for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP
5) Note the response contains a CV field with the value '00'

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Kyle M Hall 2018-12-18 11:51:23 UTC
Created attachment 83346 [details] [review]
Bug 22014: Add ability to send "00" in SIP CV field on checkin success

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a checkin success to return a CV field of the value "00" rather than no CV field at all. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option cv_send_00_on_success for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP
5) Note the response contains a CV field with the value '00'

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jill Kleven <jill.kleven@pueblolibrary.org>
Comment 4 Marcel de Rooy 2019-02-15 08:26:11 UTC
Created attachment 85146 [details] [review]
Bug 22014: Add ability to send "00" in SIP CV field on checkin success

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a checkin success to return a CV field of the value "00" rather than no CV field at all. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option cv_send_00_on_success for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP
5) Note the response contains a CV field with the value '00'

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jill Kleven <jill.kleven@pueblolibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2019-02-15 08:27:01 UTC
@RM: Would have been even more convincing with a small test in say t/db/SIP/Message.t
Comment 6 Kyle M Hall 2019-02-19 17:41:48 UTC
Created attachment 85289 [details] [review]
Bug 22014: Unit tests
Comment 7 Nick Clemens 2019-02-27 14:17:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-03-01 11:28:42 UTC
Enhancement, will not be backported to 18.11.x series